OOo2 Build Error

DJ Lucas dj at linuxfromscratch.org
Wed Dec 14 16:41:55 PST 2005


Jeremy Byron wrote:
> Alan Lord wrote:
> 
>> <snip>
>> The build fails during the ".bootstrap" phase and it looks to be 
>> something to do with libxslt...
> 
> No.
> 
>> <snip>
>> When the "./bootstrap && . LinuxIntelEnv.Set.sh && dmake" command 
>> reaches this point:
>>
>> <paste>
>> =============
>> Building project libxmlsec
>> =============
>> /usr/src/OOo_2.0.0rc3_src/libxmlsec
>> -------------
>> </paste>
>>
>> it exits here:
>>
>> <paste>
>> checking size of size_t... 4
>> checking for pkg-config... yes
>> checking for pkg-config... /usr/bin/pkg-config
>> checking for libxml-2.0 >= 2.4.2... yes
>> checking LIBXML_CFLAGS... -I/usr/include/libxml2
>> checking LIBXML_LIBS... -lxml2 -lz -lm
>> checking for libxml-2.0 >= 2.6.2... yes
>> checking LIBXML262_CFLAGS... -I/usr/include/libxml2
>> checking LIBXML262_LIBS... -lxml2 -lz -lm
>> checking libxml2   yes  ... checking for libxslt libraries >= 
>> 1.0.20... no
>> checking for openssl libraries >= 0.9.6... no
>> checking for gnutls libraries >= 0.8.1... no
>> checking for mozilla-nspr >= 1.4 mozilla-nss >= 1.4... checking for 
>> nspr libraries >= 4
>> checking for nss libraries >= 3.2... no
>> <snip>
>> Any one got any ideas?
> 
> 
> Looks like you didn't apply the xmlsec patch, assuming it works for 
> firefox-1.5 too.
> 
> Jeremy.

Yes, yes and yes. Same sed for firefox-1.5, patch was not applied, and 
patch works for ff-1.5. :-)

-- DJ Lucas




More information about the blfs-support mailing list